pqxx::quiet_errorhandler Class Reference

An error handler that suppresses any previously registered error handlers. More...

`#include <errorhandler.hxx>`

Inheritance diagram for pqxx::quiet_errorhandler:
[legend]

## Public Member Functions

| quiet_errorhandler (connection &conn)
| Suppress error notices.
virtual bool | operator() (char const[]) noexcept override
| Revert to previous handling of error notices.
Public Member Functions inherited from pqxx::errorhandler
| errorhandler (connection &)
virtual | ~errorhandler ()
| errorhandler ()=delete
| errorhandler (errorhandler const &)=delete
errorhandler & | operator= (errorhandler const &)=delete

## Detailed Description

An error handler that suppresses any previously registered error handlers.

## Constructor & Destructor Documentation

## quiet_errorhandler()

pqxx::quiet_errorhandler::quiet_errorhandler | ( | connection & | conn | ) |

Suppress error notices.

## Member Function Documentation

## operator()()

virtual bool pqxx::quiet_errorhandler::operator() | ( | char const | [] | ) |

override virtual noexcept

Revert to previous handling of error notices.

Implements pqxx::errorhandler.

The documentation for this class was generated from the following file:

- errorhandler.hxx